/*
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * vital_ages.h
 *
 * Copyright (C) 2011-2022, University of Vienna and Vienna Institute for Nature Conservation & Analyses, Andreas Gattringer.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef CATS_VITAL_AGES_H
#define CATS_VITAL_AGES_H

enum cats_vital_age_id {
        VA_MIN = 0,
        VA_UNASSIGNED = 0,
        VA_SEED_PERSISTENCE,
        VA_AGE_OF_MATURITY_MIN,
        VA_AGE_OF_MATURITY_MAX,
        VA_MAX
};

const char *get_vital_age_name(enum cats_vital_age_id idx);

#endif //CATS_VITAL_AGES_H
